# Delete picture
Deletes the properties and relationships of a picture object for Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
DELETE businesscentralPrefix/companies({companyId})/items({itemId})/picture({pictureId})
DELETE businesscentralPrefix/companies({companyId})/vendors({vendorId})/picture({pictureId})
DELETE businesscentralPrefix/companies({companyId})/employees({employeeId})/picture({pictureId})
DELETE businesscentralPrefix/companies({companyId})/customers({customerId})/picture({pictureId})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
If-Match|When this request header is included and the eTag provided doesn't match the current tag on the picture, the picture won't be updated.
## Request body
Don't supply a request body for this method.
## Response
If successful, this method returns a `204 No Content` response code. It doesn't return anything in the response body.
The metadata will be updated on the same link.
## Example
Request
Here's an example of the request.
```json
DELETE https://api.businesscentral.dynamics-tie.com/v2.0/api/v2.0/companies(companyId)/customers(customerId)/picture(pictureId)
```
Response
No content.
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_picture
dynamics_picture_get
dynamics_picture_update

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_picture_delete, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_picture_delete/
